To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
HTTP + XML
The following are sample HTTP requests and responses.
The placeholders shown need to be replaced with actual values.
GET /api/v2/tax-declarations/inventory HTTP/1.1
Host: api.pos365.vn
Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<GetTaxDeclarationInventoryResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/POS.Application.TaxDeclaration.Model.Response">
<Data xmlns:d2p1="http://schemas.datacontract.org/2004/07/POS.Application.TaxDeclaration.Model.Dtos">
<d2p1:TaxDeclarationInventoryDto>
<d2p1:ClosingOnHand>String</d2p1:ClosingOnHand>
<d2p1:ClosingValue>String</d2p1:ClosingValue>
<d2p1:ProductCode>String</d2p1:ProductCode>
<d2p1:ProductId>0</d2p1:ProductId>
<d2p1:ProductName>String</d2p1:ProductName>
<d2p1:ProductUnit>String</d2p1:ProductUnit>
</d2p1:TaxDeclarationInventoryDto>
</Data>
</GetTaxDeclarationInventoryResponse>